Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -1885,371 +1860,369 @@
 #endif
 
-IF (CPPKEY_STRATAER) THEN
-       CALL strataer_init
-       CALL strataer_nuc_init
-       CALL strataer_emiss_init
+      IF (CPPKEY_STRATAER) THEN
+        CALL strataer_init
+        CALL strataer_nuc_init
+        CALL strataer_emiss_init
+      END IF
+
+      IF (CPPKEY_DUST) THEN
+        ! Quand on utilise SPLA, on force iflag_phytrac=1
+        CALL phytracr_spl_out_init()
+        CALL phys_output_write_spl(itap, pdtphys, paprs, pphis, &
+                pplay, lmax_th, aerosol_couple, &
+                ok_ade, ok_aie, ivap, ok_sync, &
+                ptconv, read_climoz, clevSTD, &
+                ptconvth, d_t, qx, d_qx, d_tr_dyn, zmasse, &
+                flag_aerosol, flag_aerosol_strat, ok_cdnc)
+      ELSE
+      ! phys_output_write écrit des variables traceurs seulement si iflag_phytrac == 1
+      ! donc seulement dans ce cas on doit appeler phytrac_init()
+      IF (iflag_phytrac == 1) THEN
+        CALL phytrac_init()
+      ENDIF
+      CALL phys_output_write(itap, pdtphys, paprs, pphis, &
+              pplay, lmax_th, aerosol_couple, &
+              ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, ibs, ok_sync, &
+              ptconv, read_climoz, clevSTD, &
+              ptconvth, d_u, d_t, qx, d_qx, zmasse, &
+              flag_aerosol, flag_aerosol_strat, ok_cdnc, t, u1, v1)
 END IF
 
-#ifdef CPP_Dust
-       ! Quand on utilise SPLA, on force iflag_phytrac=1
-       CALL phytracr_spl_out_init()
-       CALL phys_output_write_spl(itap, pdtphys, paprs, pphis,                  &
-                                pplay, lmax_th, aerosol_couple,                 &
-                                ok_ade, ok_aie, ivap, ok_sync,                  &
-                                ptconv, read_climoz, clevSTD,                   &
-                                ptconvth, d_t, qx, d_qx, d_tr_dyn, zmasse,      &
-                                flag_aerosol, flag_aerosol_strat, ok_cdnc)
-#else
-       ! phys_output_write écrit des variables traceurs seulement si iflag_phytrac == 1 
-       ! donc seulement dans ce cas on doit appeler phytrac_init()
-       IF (iflag_phytrac == 1 ) THEN
-          CALL phytrac_init()
-       ENDIF
-       CALL phys_output_write(itap, pdtphys, paprs, pphis,                    &
-                              pplay, lmax_th, aerosol_couple,                 &
-                              ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, ibs,  ok_sync,&
-                              ptconv, read_climoz, clevSTD,                   &
-                              ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
-                              flag_aerosol, flag_aerosol_strat, ok_cdnc, t, u1, v1)
-#endif
-
-
-       IF (using_xios) THEN
-         IF (is_omp_master) CALL xios_update_calendar(1)
-       ENDIF
-       
-       IF(read_climoz>=1 .AND. create_etat0_limit) CALL regr_horiz_time_climoz(read_climoz,ok_daily_climoz)
-       CALL create_etat0_limit_unstruct
-       CALL phyetat0 ("startphy.nc",clesphy0,tabcntr0)
-
-!jyg<
-       IF (iflag_pbl<=1) THEN
-          ! No TKE for Standard Physics
-          pbl_tke(:,:,:)=0.
-
-       ELSE IF (klon_glo==1) THEN
-          pbl_tke(:,:,is_ave) = 0.
-          pbl_eps(:,:,is_ave) = 0.
-          DO nsrf=1,nbsrf
-            DO k = 1,klev+1
-                 pbl_tke(:,k,is_ave) = pbl_tke(:,k,is_ave) &
-                     +pctsrf(:,nsrf)*pbl_tke(:,k,nsrf)
-                 pbl_eps(:,k,is_ave) = pbl_eps(:,k,is_ave) &
-                     +pctsrf(:,nsrf)*pbl_eps(:,k,nsrf)
-            ENDDO
+
+      IF (using_xios) THEN
+        IF (is_omp_master) CALL xios_update_calendar(1)
+      ENDIF
+
+      IF(read_climoz>=1 .AND. create_etat0_limit) CALL regr_horiz_time_climoz(read_climoz, ok_daily_climoz)
+      CALL create_etat0_limit_unstruct
+      CALL phyetat0 ("startphy.nc", clesphy0, tabcntr0)
+
+      !jyg<
+      IF (iflag_pbl<=1) THEN
+        ! No TKE for Standard Physics
+        pbl_tke(:, :, :) = 0.
+
+      ELSE IF (klon_glo==1) THEN
+        pbl_tke(:, :, is_ave) = 0.
+        pbl_eps(:, :, is_ave) = 0.
+        DO nsrf = 1, nbsrf
+          DO k = 1, klev + 1
+            pbl_tke(:, k, is_ave) = pbl_tke(:, k, is_ave) &
+                    + pctsrf(:, nsrf) * pbl_tke(:, k, nsrf)
+            pbl_eps(:, k, is_ave) = pbl_eps(:, k, is_ave) &
+                    + pctsrf(:, nsrf) * pbl_eps(:, k, nsrf)
           ENDDO
-       ELSE
-          pbl_tke(:,:,is_ave) = 0. !ym missing init : maybe must be initialized in the same way that for klon_glo==1 ??
-!>jyg
-          pbl_eps(:,:,is_ave) = 0.
-       ENDIF
-       !IM begin
-       print*,'physiq: clwcon rnebcon ratqs',clwcon(1,1),rnebcon(1,1) &
-            ,ratqs(1,1)
-       !IM end
-
-
-       ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       !
-       ! on remet le calendrier a zero
-       !
-       IF (raz_date == 1) THEN
-          itau_phy = 0
-       ENDIF
-
-!       IF (ABS(phys_tstep-pdtphys).GT.0.001) THEN
-!          WRITE(lunout,*) 'Pas physique n est pas correct',phys_tstep, &
-!               pdtphys
-!          abort_message='Pas physique n est pas correct '
-!          !           call abort_physic(modname,abort_message,1)
-!          phys_tstep=pdtphys
-!       ENDIF
-       IF (nlon /= klon) THEN
-          WRITE(lunout,*)'nlon et klon ne sont pas coherents', nlon,  &
-               klon
-          abort_message='nlon et klon ne sont pas coherents'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-       IF (nlev /= klev) THEN
-          WRITE(lunout,*)'nlev et klev ne sont pas coherents', nlev, &
-               klev
-          abort_message='nlev et klev ne sont pas coherents'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-       !
-       IF (phys_tstep*REAL(radpas)>21600..AND.iflag_cycle_diurne>=1) THEN
-          WRITE(lunout,*)'Nbre d appels au rayonnement insuffisant'
-          WRITE(lunout,*)"Au minimum 4 appels par jour si cycle diurne"
-          abort_message='Nbre d appels au rayonnement insuffisant'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       ! Initialisation pour la convection de K.E. et pour les poches froides
-       !
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-       WRITE(lunout,*)"Clef pour la convection, iflag_con=", iflag_con
-       WRITE(lunout,*)"Clef pour le driver de la convection, ok_cvl=", ok_cvl
-       !
-       !KE43
-       ! Initialisation pour la convection de K.E. (sb):
-       IF (iflag_con>=3) THEN
-
-          WRITE(lunout,*)"*** Convection de Kerry Emanuel 4.3  "
-          WRITE(lunout,*) &
-               "On va utiliser le melange convectif des traceurs qui"
-          WRITE(lunout,*)"est calcule dans convect4.3"
-          WRITE(lunout,*)" !!! penser aux logical flags de phytrac"
-
-          DO i = 1, klon
-             ema_cbmf(i) = 0.
-             ema_pcb(i)  = 0.
-             ema_pct(i)  = 0.
-             !          ema_workcbmf(i) = 0.
+        ENDDO
+      ELSE
+        pbl_tke(:, :, is_ave) = 0. !ym missing init : maybe must be initialized in the same way that for klon_glo==1 ??
+        !>jyg
+        pbl_eps(:, :, is_ave) = 0.
+      ENDIF
+      !IM begin
+      print*, 'physiq: clwcon rnebcon ratqs', clwcon(1, 1), rnebcon(1, 1) &
+              , ratqs(1, 1)
+      !IM end
+
+
+      ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+      ! on remet le calendrier a zero
+
+      IF (raz_date == 1) THEN
+        itau_phy = 0
+      ENDIF
+
+      !       IF (ABS(phys_tstep-pdtphys).GT.0.001) THEN
+      !          WRITE(lunout,*) 'Pas physique n est pas correct',phys_tstep, &
+      !               pdtphys
+      !          abort_message='Pas physique n est pas correct '
+      !          !           call abort_physic(modname,abort_message,1)
+      !          phys_tstep=pdtphys
+      !       ENDIF
+      IF (nlon /= klon) THEN
+        WRITE(lunout, *)'nlon et klon ne sont pas coherents', nlon, &
+                klon
+        abort_message = 'nlon et klon ne sont pas coherents'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+      IF (nlev /= klev) THEN
+        WRITE(lunout, *)'nlev et klev ne sont pas coherents', nlev, &
+                klev
+        abort_message = 'nlev et klev ne sont pas coherents'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+
+      IF (phys_tstep * REAL(radpas)>21600..AND.iflag_cycle_diurne>=1) THEN
+        WRITE(lunout, *)'Nbre d appels au rayonnement insuffisant'
+        WRITE(lunout, *)"Au minimum 4 appels par jour si cycle diurne"
+        abort_message = 'Nbre d appels au rayonnement insuffisant'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      ! Initialisation pour la convection de K.E. et pour les poches froides
+
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+      WRITE(lunout, *)"Clef pour la convection, iflag_con=", iflag_con
+      WRITE(lunout, *)"Clef pour le driver de la convection, ok_cvl=", ok_cvl
+
+      !KE43
+      ! Initialisation pour la convection de K.E. (sb):
+      IF (iflag_con>=3) THEN
+
+        WRITE(lunout, *)"*** Convection de Kerry Emanuel 4.3  "
+        WRITE(lunout, *) &
+                "On va utiliser le melange convectif des traceurs qui"
+        WRITE(lunout, *)"est calcule dans convect4.3"
+        WRITE(lunout, *)" !!! penser aux logical flags de phytrac"
+
+        DO i = 1, klon
+          ema_cbmf(i) = 0.
+          ema_pcb(i) = 0.
+          ema_pct(i) = 0.
+          !          ema_workcbmf(i) = 0.
+        ENDDO
+        !IM15/11/02 rajout initialisation ibas_con,itop_con cf. SB =>BEG
+        DO i = 1, klon
+          ibas_con(i) = 1
+          itop_con(i) = 1
+        ENDDO
+        !IM15/11/02 rajout initialisation ibas_con,itop_con cf. SB =>END
+        !================================================================
+        !CR:04.12.07: initialisations poches froides
+        ! Controle de ALE et ALP pour la fermeture convective (jyg)
+        IF (iflag_wake>=1) THEN
+          CALL ini_wake(0., 0., it_wape_prescr, wape_prescr, fip_prescr &
+                  , alp_bl_prescr, ale_bl_prescr)
+          ! 11/09/06 rajout initialisation ALE et ALP du wake et PBL(YU)
+          !        print*,'apres ini_wake iflag_cld_th=', iflag_cld_th
+
+          ! Initialize tendencies of wake state variables (for some flag values
+          ! they are not computed).
+          d_deltat_wk(:, :) = 0.
+          d_deltaq_wk(:, :) = 0.
+          d_deltat_wk_gw(:, :) = 0.
+          d_deltaq_wk_gw(:, :) = 0.
+          d_deltat_vdf(:, :) = 0.
+          d_deltaq_vdf(:, :) = 0.
+          d_deltat_the(:, :) = 0.
+          d_deltaq_the(:, :) = 0.
+          d_deltat_ajs_cv(:, :) = 0.
+          d_deltaq_ajs_cv(:, :) = 0.
+          d_s_wk(:) = 0.
+          d_s_a_wk(:) = 0.
+          d_dens_wk(:) = 0.
+          d_dens_a_wk(:) = 0.
+        ENDIF  !  (iflag_wake>=1)
+
+        !        do i = 1,klon
+        !           Ale_bl(i)=0.
+        !           Alp_bl(i)=0.
+        !        enddo
+
+        !ELSE
+        !   ALLOCATE(tabijGCM(0))
+        !   ALLOCATE(lonGCM(0), latGCM(0))
+        !   ALLOCATE(iGCM(0), jGCM(0))
+      ENDIF  !  (iflag_con.GE.3)
+
+      DO i = 1, klon
+        rugoro(i) = f_rugoro * MAX(1.0e-05, zstd(i) * zsig(i) / 2.0)
+      ENDDO
+
+      !34EK
+      IF (ok_orodr) THEN
+
+        ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+        ! FH sans doute a enlever de finitivement ou, si on le
+        ! garde, l'activer justement quand ok_orodr = false.
+        ! ce rugoro est utilise par la couche limite et fait double emploi
+        ! avec les param\'etrisations sp\'ecifiques de Francois Lott.
+        !           DO i=1,klon
+        !             rugoro(i) = MAX(1.0e-05, zstd(i)*zsig(i)/2.0)
+        !           ENDDO
+        ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+        IF (ok_strato) THEN
+          CALL SUGWD_strato(klon, klev, paprs, pplay)
+        ELSE
+          CALL SUGWD(klon, klev, paprs, pplay)
+        ENDIF
+
+        DO i = 1, klon
+          zuthe(i) = 0.
+          zvthe(i) = 0.
+          IF (zstd(i)>10.) THEN
+            zuthe(i) = (1. - zgam(i)) * cos(zthe(i))
+            zvthe(i) = (1. - zgam(i)) * sin(zthe(i))
+          ENDIF
+        ENDDO
+      ENDIF
+
+
+      lmt_pas = NINT(86400. / phys_tstep * 1.0)   ! tous les jours
+      WRITE(lunout, *)'La frequence de lecture surface est de ', &
+              lmt_pas
+
+      capemaxcels = 't_max(X)'
+      t2mincels = 't_min(X)'
+      t2maxcels = 't_max(X)'
+      tinst = 'inst(X)'
+      tave = 'ave(X)'
+      !IM cf. AM 081204 BEG
+      write(lunout, *)'AVANT HIST IFLAG_CON=', iflag_con
+      !IM cf. AM 081204 END
+
+      !=============================================================
+      !   Initialisation des sorties
+      !=============================================================
+
+      IF (using_xios) THEN
+        ! Get "missing_val" value from XML files (from temperature variable)
+        IF (is_omp_master) CALL xios_get_field_attr("temp", default_value = missing_val)
+        CALL bcast_omp(missing_val)
+      ENDIF
+
+      IF (using_xios) THEN
+        ! Need to put this initialisation after phyetat0 as in the coupled model the XIOS context is only
+        ! initialised at that moment
+        ! Get "missing_val" value from XML files (from temperature variable)
+        IF (is_omp_master) CALL xios_get_field_attr("temp", default_value = missing_val)
+        CALL bcast_omp(missing_val)
+
+        ! Now we activate some double radiation call flags only if some
+        ! diagnostics are requested, otherwise there is no point in doing this
+        IF (is_master) THEN
+          !--setting up swaero_diag to TRUE in XIOS case
+          IF (xios_field_is_active("topswad").OR.xios_field_is_active("topswad0").OR. &
+                  xios_field_is_active("solswad").OR.xios_field_is_active("solswad0").OR. &
+                  xios_field_is_active("topswai").OR.xios_field_is_active("solswai").OR.  &
+                  (iflag_rrtm==1.AND.(xios_field_is_active("toplwad").OR.xios_field_is_active("toplwad0").OR. &
+                          xios_field_is_active("sollwad").OR.xios_field_is_active("sollwad0"))))  &
+                  !!!--for now these fields are not in the XML files so they are omitted
+                  !!!  xios_field_is_active("toplwai").OR.xios_field_is_active("sollwai") !))) &
+                  swaero_diag = .TRUE.
+
+          !--setting up swaerofree_diag to TRUE in XIOS case
+          IF (xios_field_is_active("SWdnSFCcleanclr").OR.xios_field_is_active("SWupSFCcleanclr").OR. &
+                  xios_field_is_active("SWupTOAcleanclr").OR.xios_field_is_active("rsucsaf").OR.   &
+                  xios_field_is_active("rsdcsaf") .OR. xios_field_is_active("LWdnSFCcleanclr").OR. &
+                  xios_field_is_active("LWupTOAcleanclr")) &
+                  swaerofree_diag = .TRUE.
+
+          !--setting up dryaod_diag to TRUE in XIOS case
+          DO naero = 1, naero_tot - 1
+            IF (xios_field_is_active("dryod550_" // name_aero_tau(naero))) dryaod_diag = .TRUE.
           ENDDO
-          !IM15/11/02 rajout initialisation ibas_con,itop_con cf. SB =>BEG
-          DO i = 1, klon
-             ibas_con(i) = 1
-             itop_con(i) = 1
-          ENDDO
-          !IM15/11/02 rajout initialisation ibas_con,itop_con cf. SB =>END
-          !================================================================
-          !CR:04.12.07: initialisations poches froides
-          ! Controle de ALE et ALP pour la fermeture convective (jyg)
-          IF (iflag_wake>=1) THEN
-             CALL ini_wake(0.,0.,it_wape_prescr,wape_prescr,fip_prescr &
-                  ,alp_bl_prescr, ale_bl_prescr)
-             ! 11/09/06 rajout initialisation ALE et ALP du wake et PBL(YU)
-             !        print*,'apres ini_wake iflag_cld_th=', iflag_cld_th
-             !
-             ! Initialize tendencies of wake state variables (for some flag values
-             ! they are not computed).
-             d_deltat_wk(:,:) = 0.
-             d_deltaq_wk(:,:) = 0.
-             d_deltat_wk_gw(:,:) = 0.
-             d_deltaq_wk_gw(:,:) = 0.
-             d_deltat_vdf(:,:) = 0.
-             d_deltaq_vdf(:,:) = 0.
-             d_deltat_the(:,:) = 0.
-             d_deltaq_the(:,:) = 0.
-             d_deltat_ajs_cv(:,:) = 0.
-             d_deltaq_ajs_cv(:,:) = 0.
-             d_s_wk(:) = 0.
-             d_s_a_wk(:) = 0.
-             d_dens_wk(:) = 0.
-             d_dens_a_wk(:) = 0.
-          ENDIF  !  (iflag_wake>=1)
-
-          !        do i = 1,klon
-          !           Ale_bl(i)=0.
-          !           Alp_bl(i)=0.
-          !        enddo
-
-       !ELSE
-       !   ALLOCATE(tabijGCM(0))
-       !   ALLOCATE(lonGCM(0), latGCM(0))
-       !   ALLOCATE(iGCM(0), jGCM(0))
-       ENDIF  !  (iflag_con.GE.3)
-       !
-       DO i=1,klon
-          rugoro(i) = f_rugoro * MAX(1.0e-05, zstd(i)*zsig(i)/2.0)
-       ENDDO
-
-       !34EK
-       IF (ok_orodr) THEN
-
-          ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-          ! FH sans doute a enlever de finitivement ou, si on le
-          ! garde, l'activer justement quand ok_orodr = false.
-          ! ce rugoro est utilise par la couche limite et fait double emploi
-          ! avec les param\'etrisations sp\'ecifiques de Francois Lott.
-          !           DO i=1,klon
-          !             rugoro(i) = MAX(1.0e-05, zstd(i)*zsig(i)/2.0)
-          !           ENDDO
-          ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-          IF (ok_strato) THEN
-             CALL SUGWD_strato(klon,klev,paprs,pplay)
-          ELSE
-             CALL SUGWD(klon,klev,paprs,pplay)
-          ENDIF
-
-          DO i=1,klon
-             zuthe(i)=0.
-             zvthe(i)=0.
-             IF (zstd(i)>10.) THEN
-                zuthe(i)=(1.-zgam(i))*cos(zthe(i))
-                zvthe(i)=(1.-zgam(i))*sin(zthe(i))
-             ENDIF
-          ENDDO
-       ENDIF
-       !
-       !
-       lmt_pas = NINT(86400./phys_tstep * 1.0)   ! tous les jours
-       WRITE(lunout,*)'La frequence de lecture surface est de ',  &
-            lmt_pas
-       !
-       capemaxcels = 't_max(X)'
-       t2mincels = 't_min(X)'
-       t2maxcels = 't_max(X)'
-       tinst = 'inst(X)'
-       tave = 'ave(X)'
-       !IM cf. AM 081204 BEG
-       write(lunout,*)'AVANT HIST IFLAG_CON=',iflag_con
-       !IM cf. AM 081204 END
-       !
-       !=============================================================
-       !   Initialisation des sorties
-       !=============================================================
-
-       IF (using_xios) THEN    
-         ! Get "missing_val" value from XML files (from temperature variable)
-         IF (is_omp_master) CALL xios_get_field_attr("temp",default_value=missing_val)
-         CALL bcast_omp(missing_val)
-       ENDIF
-
-       IF (using_xios) THEN    
-         ! Need to put this initialisation after phyetat0 as in the coupled model the XIOS context is only
-         ! initialised at that moment
-         ! Get "missing_val" value from XML files (from temperature variable)
-         IF (is_omp_master) CALL xios_get_field_attr("temp",default_value=missing_val)
-         CALL bcast_omp(missing_val)
-       ! 
-       ! Now we activate some double radiation call flags only if some
-       ! diagnostics are requested, otherwise there is no point in doing this
-         IF (is_master) THEN
-           !--setting up swaero_diag to TRUE in XIOS case 
-           IF (xios_field_is_active("topswad").OR.xios_field_is_active("topswad0").OR. & 
-              xios_field_is_active("solswad").OR.xios_field_is_active("solswad0").OR. & 
-              xios_field_is_active("topswai").OR.xios_field_is_active("solswai").OR.  & 
-                (iflag_rrtm==1.AND.(xios_field_is_active("toplwad").OR.xios_field_is_active("toplwad0").OR. & 
-                                    xios_field_is_active("sollwad").OR.xios_field_is_active("sollwad0"))))  & 
-              !!!--for now these fields are not in the XML files so they are omitted 
-              !!!  xios_field_is_active("toplwai").OR.xios_field_is_active("sollwai") !))) & 
-              swaero_diag=.TRUE. 
- 
-           !--setting up swaerofree_diag to TRUE in XIOS case 
-           IF (xios_field_is_active("SWdnSFCcleanclr").OR.xios_field_is_active("SWupSFCcleanclr").OR. &
-              xios_field_is_active("SWupTOAcleanclr").OR.xios_field_is_active("rsucsaf").OR.   &
-              xios_field_is_active("rsdcsaf") .OR. xios_field_is_active("LWdnSFCcleanclr").OR. &
-              xios_field_is_active("LWupTOAcleanclr")) &
-              swaerofree_diag=.TRUE. 
- 
-           !--setting up dryaod_diag to TRUE in XIOS case 
-           DO naero = 1, naero_tot-1
-             IF (xios_field_is_active("dryod550_"//name_aero_tau(naero))) dryaod_diag=.TRUE. 
-           ENDDO
-           !
-          !--setting up ok_4xCO2atm to TRUE in XIOS case 
-           IF (xios_field_is_active("rsut4co2").OR.xios_field_is_active("rlut4co2").OR. & 
-              xios_field_is_active("rsutcs4co2").OR.xios_field_is_active("rlutcs4co2").OR. &
-              xios_field_is_active("rsu4co2").OR.xios_field_is_active("rsucs4co2").OR. &
-              xios_field_is_active("rsd4co2").OR.xios_field_is_active("rsdcs4co2").OR. &
-              xios_field_is_active("rlu4co2").OR.xios_field_is_active("rlucs4co2").OR. &
-              xios_field_is_active("rld4co2").OR.xios_field_is_active("rldcs4co2")) &
-              ok_4xCO2atm=.TRUE. 
-           ENDIF
-           !$OMP BARRIER
-           CALL bcast(swaero_diag)
-           CALL bcast(swaerofree_diag)
-           CALL bcast(dryaod_diag)
-           CALL bcast(ok_4xCO2atm)
-         ENDIF !using_xios
-       !
-       CALL printflag( tabcntr0,radpas,ok_journe, &
-            ok_instan, ok_region )
-       !
-       !
-       ! Prescrire l'ozone dans l'atmosphere
-       !
-       !c         DO i = 1, klon
-       !c         DO k = 1, klev
-       !c            CALL o3cm (paprs(i,k)/100.,paprs(i,k+1)/100., wo(i,k),20)
-       !c         ENDDO
-       !c         ENDDO
-       !
-       IF (ANY(type_trac == ['inca','inco'])) THEN ! ModThL
-IF (CPPKEY_INCA) THEN
+
+          !--setting up ok_4xCO2atm to TRUE in XIOS case
+          IF (xios_field_is_active("rsut4co2").OR.xios_field_is_active("rlut4co2").OR. &
+                  xios_field_is_active("rsutcs4co2").OR.xios_field_is_active("rlutcs4co2").OR. &
+                  xios_field_is_active("rsu4co2").OR.xios_field_is_active("rsucs4co2").OR. &
+                  xios_field_is_active("rsd4co2").OR.xios_field_is_active("rsdcs4co2").OR. &
+                  xios_field_is_active("rlu4co2").OR.xios_field_is_active("rlucs4co2").OR. &
+                  xios_field_is_active("rld4co2").OR.xios_field_is_active("rldcs4co2")) &
+                  ok_4xCO2atm = .TRUE.
+        ENDIF
+        !$OMP BARRIER
+        CALL bcast(swaero_diag)
+        CALL bcast(swaerofree_diag)
+        CALL bcast(dryaod_diag)
+        CALL bcast(ok_4xCO2atm)
+      ENDIF !using_xios
+
+      CALL printflag(tabcntr0, radpas, ok_journe, &
+              ok_instan, ok_region)
+
+
+      ! Prescrire l'ozone dans l'atmosphere
+
+      !c         DO i = 1, klon
+      !c         DO k = 1, klev
+      !c            CALL o3cm (paprs(i,k)/100.,paprs(i,k+1)/100., wo(i,k),20)
+      !c         ENDDO
+      !c         ENDDO
+
+      IF (ANY(type_trac == ['inca', 'inco'])) THEN ! ModThL
+        IF (CPPKEY_INCA) THEN
           CALL VTe(VTphysiq)
           CALL VTb(VTinca)
           calday = REAL(days_elapsed) + jH_cur
-          WRITE(lunout,*) 'initial time chemini', days_elapsed, calday
-
-          call init_const_lmdz( &
-          ndays, nbsrf, is_oce,is_sic, is_ter,is_lic, calend, &
-          config_inca)
-
-          CALL init_inca_geometry( & 
-               longitude, latitude, &
-               boundslon, boundslat, &
-               cell_area, ind_cell_glo) 
-
-          if (grid_type==unstructured) THEN 
-             CALL chemini(  pplay, &
-                  nbp_lon, nbp_lat, &
-                  latitude_deg, &
-                  longitude_deg, &
-                  presnivs, &
-                  calday, &
-                  klon, &
-                  nqtot, &
-                  nqo+nqCO2, &
-                  pdtphys, &
-                  annee_ref, &
-                  year_cur, &
-                  day_ref,  &
-                  day_ini, &
-                  start_time, &
-                  itau_phy, &
-                  date0, &
-                  chemistry_couple, &
-                  init_source, &
-                  init_tauinca, &
-                  init_pizinca, &
-                  init_cginca, &
-                  init_ccminca)
+          WRITE(lunout, *) 'initial time chemini', days_elapsed, calday
+
+          call init_const_lmdz(&
+                  ndays, nbsrf, is_oce, is_sic, is_ter, is_lic, calend, &
+                  config_inca)
+
+          CALL init_inca_geometry(&
+                  longitude, latitude, &
+                  boundslon, boundslat, &
+                  cell_area, ind_cell_glo)
+
+          if (grid_type==unstructured) THEN
+            CALL chemini(pplay, &
+                    nbp_lon, nbp_lat, &
+                    latitude_deg, &
+                    longitude_deg, &
+                    presnivs, &
+                    calday, &
+                    klon, &
+                    nqtot, &
+                    nqo + nqCO2, &
+                    pdtphys, &
+                    annee_ref, &
+                    year_cur, &
+                    day_ref, &
+                    day_ini, &
+                    start_time, &
+                    itau_phy, &
+                    date0, &
+                    chemistry_couple, &
+                    init_source, &
+                    init_tauinca, &
+                    init_pizinca, &
+                    init_cginca, &
+                    init_ccminca)
           ELSE
-             CALL chemini(  pplay, &
-                  nbp_lon, nbp_lat, &
-                  latitude_deg, &
-                  longitude_deg, &
-                  presnivs, &
-                  calday, &
-                  klon, &
-                  nqtot, &
-                  nqo+nqCO2, &
-                  pdtphys, &
-                  annee_ref, &
-                  year_cur, &
-                  day_ref,  &
-                  day_ini, &
-                  start_time, &
-                  itau_phy, &
-                  date0, &
-                  chemistry_couple, &
-                  init_source, &
-                  init_tauinca, &
-                  init_pizinca, &
-                  init_cginca, &
-                  init_ccminca, &
-                  io_lon, &
-                  io_lat)
+            CALL chemini(pplay, &
+                    nbp_lon, nbp_lat, &
+                    latitude_deg, &
+                    longitude_deg, &
+                    presnivs, &
+                    calday, &
+                    klon, &
+                    nqtot, &
+                    nqo + nqCO2, &
+                    pdtphys, &
+                    annee_ref, &
+                    year_cur, &
+                    day_ref, &
+                    day_ini, &
+                    start_time, &
+                    itau_phy, &
+                    date0, &
+                    chemistry_couple, &
+                    init_source, &
+                    init_tauinca, &
+                    init_pizinca, &
+                    init_cginca, &
+                    init_ccminca, &
+                    io_lon, &
+                    io_lat)
           ENDIF
 
 
           ! initialisation des variables depuis le restart de inca
-          ccm(:,:,:) = init_ccminca
-          tau_aero(:,:,:,:) = init_tauinca
-          piz_aero(:,:,:,:) = init_pizinca
-          cg_aero(:,:,:,:) = init_cginca
-!          
-
+          ccm(:, :, :) = init_ccminca
+          tau_aero(:, :, :, :) = init_tauinca
+          piz_aero(:, :, :, :) = init_pizinca
+          cg_aero(:, :, :, :) = init_cginca
 
           CALL VTe(VTinca)
           CALL VTb(VTphysiq)
-END IF
-       ENDIF
-       !
-       IF (type_trac == 'repr') THEN
+        END IF
+      ENDIF
+
+      IF (type_trac == 'repr') THEN
 #ifdef REPROBUS
           CALL chemini_rep(  &
